[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# SarShortint

8-bit Shift Arithmetic Right

## Declaration

Source position: systemh.inc line 747

`function SarShortint(`
`const AValue: ShortInt;`
`const Shift: Byte = 1`
`):ShortInt;`

## Description

SarShortint performs an arithmetic right shift for Shift positions on an 8-bit integer AValue and returns the result. Shift is optional, and is 1 by default. The difference with the regular Shr shift operation is that the leftmost bit is preserved during the shift operation.

## See also

SarSmallint |  | 16-bit Shift Arithmetic Right
SarLongint |  | 32-bit Shift Arithmetic Right
SarInt64 |  | 64-bit Shift Arithmetic Right

Documentation generated on: Feb 26 2014